none
.net Frameworks 3.5 and or 4.0 will not install RRS feed

  • Question

  • v-yicche@microsoft.com - is familiar with this request.

     

    I have searched and searched and my final resort is to just format and do a fresh install and try again.  The .net framework software will not install on my computer.  I have 2.0 but anything after that will not install correctly.  I get fatal errors etc. 

     

    This installation is what prompted the errors:

    http://i891.photobucket.com/albums/ac117/vyse22/pin14error.jpg

     

    This is the 3.5 error screen:

    http://i891.photobucket.com/albums/ac117/vyse22/3-5error.jpg

     

    This is the 4.0 error screens:

    http://i891.photobucket.com/albums/ac117/vyse22/msnetfail.jpg

    http://i891.photobucket.com/albums/ac117/vyse22/msnetfail.jpg

     

    I have already e-mailed you the log from a previous post I read and you asked the person to run a collect info tool.  That is posted here:

    http://social.msdn.microsoft.com/Forums/en/netfxsetup/thread/18e54a9f-2e6f-468f-9e71-6632467e6ca4
    

    Any help you can provide would be appreciated!

    Thursday, May 20, 2010 5:19 AM

Answers

  • Hi Vyse22,

    Thank you for your email and patient help on collecting the log files.

    Some clarification with you:
    What's your OS? It sounds like that you're running Windows XP or Windows Server 2003.

    Based on the screen shot and your description, it seems that you wanted to install Pinnacle Studio which required .NET Framework 3.5 with SP1. However, you came across the error during the installation of .NET Framework 3.5 SP1.
    Since Pinnacle Studio requires .NET Framework 3.5 with SP1, let's focus on .NET 3.5 SP1 installation.

    I've checked your log files and found the following error message:

    dd_WIC.txt

    0.063: i:\0f67ffdc21d4722bfc98ad5df8e17bcf\update\update.exe (version 6.3.4.0)
    0.063: Failed To Enable SE_SHUTDOWN_PRIVILEGE
    0.063: Hotfix started with following command line: /quiet /norestart /log:C:\DOCUME~1\Owner\LOCALS~1\Temp\dd_WIC.txt
    0.063: In Function GetBuildType, line 1170, RegQueryValueEx failed with error 0x2
    0.063:  C:\WINDOWS.0\system32\WindowsCodecs.dll is Not Present
    0.063: First Condition in Test.WindowsCodecsVer.Section Succeeded
    0.063: Condition succeeded for section Test.WindowsCodecsVer.Section in Line 1 of PreRequisite
    0.063:  C:\WINDOWS.0\system32\WindowsCodecsExt.dll is Not Present
    0.063: First Condition in Test.WindowsCodecsExtVer.Section Succeeded
    0.063: Condition succeeded for section Test.WindowsCodecsExtVer.Section in Line 2 of PreRequisite
    0.063:  C:\WINDOWS.0\system32\WMPhoto.dll is Present
    0.063: FileVersion of C:\WINDOWS.0\system32\WMPhoto.dll is Greater Than 6.0.5840.16388
    0.063: Condition Check for Line 3 of PreRequisite returned FALSE
    0.079: WIC Setup encountered an error:  Newer version of update is already on the system.
    0.094: Newer version of update is already on the system.
    0.094: Update.exe extended error code = 0xf0f4
    0.094: Update.exe return code was masked to 0x643 for MSI custom action compliance.

    Could you please try Cleanup tool to clear the installation of .NET Framework 3.5 >> 3.0 >> 2.0 in order? Then download .NET Framework 3.5 Service Pack 1 (Full Package) which ships .NET 2.0 and 3.0 as prerequisite and install this package. 

    If it doesn't work, please re-name the WMPhoto.dll and then tried running the installer again.
    For more information, please check: http://social.msdn.microsoft.com/Forums/en-US/netfxsetup/thread/8cce5c65-8c3f-4d13-8800-72e4238d4a04
    (See SavedbyGrace's reply)

    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Thursday, May 27, 2010 2:50 AM
    Friday, May 21, 2010 3:28 AM